define([
	'jquery',
	'ApmFashion_Swatches/js/swatch-custom-validator'
], function($) {
	'use strict';
	
	return function(originalWidget) {

		$.widget('mage.SwatchRenderer', $['mage']['SwatchRenderer'], {
			/**
			 *Input for submit form.
			 *This control shouldn't have "type=hidden", "dispaly: none" for validation work :(
			 *
			 *@parm {Object} config
			 *@private
			 */
			 _RenderFormInput: function (config) {
				return '<input class="' + this.options.classes.attributeInput + ' super-attribute-select" ' +
					'name="super_attribute[' + config.id + ']" ' +
					'type="text" ' +
					'value="" ' +
					'data-selector="super_attribute[' + config.id + ']" ' +
					'data-validate="{\'custom-required-rule\':true}" ' +
					'aria-required="true" ' +
					'aria-invalid="true" ' +
					'style="visibility: hidden; position:absolute; left:-1000px">';
			}	 		
		});
		
		return $.mage.SwatchRenderer;
	};
});
